DB_SEQUENCE->get_key()
Prev | Chapter 11. The DB_SEQUENCE Handle | Next

## DB_SEQUENCE->get_key()

    #include <db.h>

    int
    DB_SEQUENCE->get_key(DB_SEQUENCE *seq, DBT *key);

The `DB_SEQUENCE->get_key()` method returns the key for the sequence.

The `DB_SEQUENCE->get_key()` method may be called at any time during the life of the application.

The `DB_SEQUENCE->get_key()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### key

The key parameter references memory into which a pointer to the key data is copied.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods

Prev | Up | Next
DB_SEQUENCE->get_flags() | Home | DB_SEQUENCE->get_range()